<?php
define('PROTECTOR', 1);
$headmod = 'anketa';//фикс. места
$textl='Анкета';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){
default:
$req = mysql_query("SELECT `id` FROM `anketa` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"У вас нет анкеты.<br/>";
echo"<a href=\"anketa.php?mod=edit\">Заполнить анкету</a>";
}

$req = mysql_query("SELECT * FROM `anketa` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
$req = mysql_query("SELECT `storona`,`prava` FROM `users` WHERE `usr` = '$log'");
$pic = mysql_fetch_array($req);
if($pic[prava] == '5'){$adm = '<b><font color=red>[SAdm]</font></b>';}
if($pic[prava] == '4'){$adm = '<b><font color=blue>[Adm]</font></b>';}
if($pic[prava] == '3'){$adm = '<b><font color=gold>[SM]</font></b>';}
if($pic[prava] == '2'){$adm = '<b><font color=gold>[M]</font></b>';}
if($pic[prava] == '0'){$adm = ' ';}

echo"<div class='event'>Анкета персонажа:";
echo' <img src="pic/main/'.$pic['storona'].'.png" alt="#"/>';
echo" <a href=\"search.php?nick=$log&amp;go=go\">$log</a>$adm</div>";
echo" <div class='event'>";

echo"<b>Имя:</b> $mag[Imya]<br/>";
echo"<b>Фимилия:</b> $mag[familia]<br/>";
echo"<b>ICQ:</b> $mag[icq]<br/>";
echo"<b>Год рождения:</b> $mag[god]<br/>";
echo"<b>Страна:</b> $mag[strana]<br/>";
echo"<b>Город:</b> $mag[gorod]<br/>";
echo"<b>Любимая музыка:</b> $mag[muz]<br/>";
echo"<b>Интересы:</b> $mag[interes]<br/>";
echo"<b>О себе:</b> $mag[info]<br/>";
echo"</div>";
}


echo"<a href=\"anketa.php?mod=edit\">Изменить анкету</a><br/>";
echo "<a href=\"pers.php?\"> Вернуться</a>";
}

break;

case 'edit':
$req = mysql_query("SELECT * FROM `anketa` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto>=1){
$mag = mysql_fetch_array($req); }
echo "<form action=\"anketa.php?mod=save\" method=\"post\">";
echo"Имя: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"name\" maxlength=\"15\" value=\"$mag[Imya]\" /><br/>";
echo"Фамилия: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"text\" maxlength=\"15\" value=\"$mag[familia]\" /><br/>";
echo"ICQ: <br/>";
echo"<input class='input' type=\"number\" size=\"15\" name=\"icq\" maxlength=\"9\" value=\"$mag[icq]\" /><br/>";
echo"Год рождения: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"god\" maxlength=\"4\" value=\"$mag[god]\" /><br/>";
echo"Страна:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"strana\" maxlength=\"15\" value=\"$mag[strana]\" /><br/>";
echo"Город:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"gorod\" maxlength=\"15\" value=\"$mag[gorod]\" /><br/>";
echo"Любимая музыка:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"muz\" maxlength=\"20\" value=\"$mag[muz]\" /><br/>";
echo"Интересы:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"interes\" maxlength=\"15\" value=\"$mag[interes]\" /><br/>";
echo"О себе: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"info\" maxlength=\"100\" value=\"$mag[info]\" /><br/>";
echo '<input class="button" type="submit" value="Сохранить" /></form>';


break;

case "save":

$req = mysql_query("SELECT `id` FROM `anketa` WHERE `usr` ='$log'");
$avto=mysql_num_rows($req);
if($avto == 0){
mysql_query("INSERT INTO
        `anketa` SET
        `usr` = '$log'"); }

$name=htmlspecialchars($_POST[name]);
$text=htmlspecialchars($_POST[text]);
$icq=htmlspecialchars($_POST[icq]);
$god=htmlspecialchars($_POST[god]);
$strana=htmlspecialchars($_POST[strana]);
$gorod=htmlspecialchars($_POST[gorod]);
$muz=htmlspecialchars($_POST[muz]);
$interes=htmlspecialchars($_POST[interes]);
$info=htmlspecialchars($_POST[info]);

mysql_query("UPDATE `anketa` SET `Imya` = '$name', `familia` = '$text', `god` = '$god', `strana` = '$strana', `gorod` = '$gorod', `muz` = '$muz', `interes` = '$interes', `info` = '$info', `icq` = '$icq' WHERE `usr` = '$log'");
echo"Вы успешно сохранили анкету.<br/>";



break;





}
include($path.'files/down.php');
?>